var subscriptionDatabase = "http://files.byondhome.com/MaximusAlex2003/Document.html"
//	Replace the URL with your own hotlink-hosted plain .txt, .html or whichever text file available/compatible.


proc/checkSubscription(client/target)
{
	var database[] = world.Export(subscriptionDatabase);
	if (!database)
	{
		return;
	}
	var content = html_encode(database["CONTENT"]);
	if (!content)
	{
		return;
	}
	var rawText = file2text(database["CONTENT"]);
	if (!findtext(rawText, target.key, 1, 0))
	{
		return;
	}
	var position = findtext(rawText,target.key,1,0) + length(target.key);
	if (!position)
	{
		return;
	}
	var experation = copytext(rawText, position + 1, position + 9);
	var day = copytext(experation, 1, 3);
	var month = copytext(experation, 4, 6);
	var year = copytext(experation, 7, 9);
	var checkYear = text2num(time2text(world.realtime,"YY"));
	var checkMonth = text2num(time2text(world.realtime,"MM"));
	var checkDay = text2num(time2text(world.realtime,"DD"));
	if (text2num(year) < checkYear)
	{
		world << "[target]'s Subscription has expired as of : [day]-[month]-[year] !";
		removeSubscription(target);
		return;
	}
	if (text2num(day) <= checkDay && text2num(month) <= checkMonth && text2num(year) <= checkYear)
	{
		world << "[target]'s Subscription has expired as of : [day]-[month]-[year] !";
		removeSubscription(target);
		return;
	}
	if (text2num(month) <= checkMonth && text2num(year) <= checkYear)
	{
		world << "[target]'s Subscription has expired as of : [day]-[month]-[year] !";
		removeSubscription(target);
		return;
	}

	return "[target]'s Subscription expires on : [day]-[month]-[year] !";
}

proc/removeSubscription(client/target)
{
	for (var/mob/checkMob in world)
	{
		if (checkMob.key == target.key)
		{
			checkMob << "Your subscription has expired!";
			//	Remove subscription perks.
		}
	}
	return;
}
client/verb/check_sub()
{
	world << checkSubscription(src);
}